/* New Taghivim */
.show-taghvim {
    cursor: pointer;
}

.parent__taghvim {
    width: 100%;
    height: 100%;
    position: fixed;
    background: rgba(0, 0, 0, .5);
    inset: 0;
    opacity: 0;
    visibility: hidden;
    /* backdrop-filter: blur(5px); */
    transition: all .3s;
    display: flex;
    justify-content: center;
	align-items: center;
    z-index: 122;
}

.parent__taghvim-show {
    opacity: 1;
    visibility: visible;
	/* animation: slideIn 0.5s forwards; */
}

.taghvim {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 60%;
    height: auto;
	transform: translate(10px, 750px);
	/* transition: all 0.3s ease; */
	background: #fff;
    /* border-radius: 30px; */
    border-radius: 2px;
    overflow: hidden;
	position: absolute;
    transition: all .5s;
}
.parent__taghvim-show .taghvim {
	transform: unset;
}

.taghvim__control {
    display: flex;
    gap: 10px;
    width: 100%;
    background-color: #fff;
    justify-content: space-between;
    border-radius: 20px 20px 0 0;
    padding: 10px 0;
    align-items: center;
	border-bottom: 1px solid #eee;
}
.taghvim span{
    user-select: none;
}
.taghvim__control button {
    border: none;
    margin: 0 10px;
    padding: 5px;
    border-radius: 5px;
    background-color: transparent;
    cursor: pointer;
}

.taghvim__control button svg {
    width: 25px;
    height: 25px;
    color: #000075;
    stroke-width: 2px;
}

.taghvim__desc {
    display: flex;
    gap: 5px;
    padding: 0 5px;
    flex-direction: column;
    align-items: center;
}
.taghvim__desc-text {
    font-size: 12px;
    font-weight: 500;
    text-align: center;
    color: #ff0000;
}
.taghvim__detail {
    background: #f4f4f4c9;
    border: 1px solid #e0e0e0ad;
    border-radius: 2px;
    color: #333;
    padding: 0.5rem 1rem;
    margin-bottom: 8px;
    width: 95%;
    font-size: 13px;
    text-align: center;
    display: flex;
    gap: 5px;
    justify-content: center;
}

.parent__taghvim table {
    margin: 10px auto;
    border-spacing: 10px;
    table-layout: fixed;
    width: 100%;
    border-radius: 0 0 20px 20px;
    overflow: hidden;
    margin-top: 0;
    margin-bottom: 0;
}
.taghvim table{
    /* background-color: #fff; */
}
.parent__taghvim th,
.parent__taghvim td {
    font-size: 12px;
    border: 1px solid #ddd;
    border: 0;
    padding: 12px 0px;
    transition: filter .3s;
    border-radius: 5px;
}
.parent__taghvim td:not(.text-muted-cu-td,.past-day-td){
    cursor: pointer;
    position: relative;
}
.parent__taghvim td:not(.text-muted-cu-td,.past-day-td)::before{
    content: "";
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;
}
.parent__taghvim td:not(.text-muted-cu-td,.past-day-td):hover{
    background: #eee;
}
.parent__taghvim td:not(.text-muted-cu-td,.past-day-td)::after{
    content: "";
    font-size: 10px;
    color: red;
    position: absolute;
    top: 50%;
    width: 100%;
    text-wrap: nowrap;
    transform: translate(50%, 50%);
    opacity: 0;
    transition: all .3s;
}
.parent__taghvim td:not(.text-muted-cu-td,.past-day-td):hover::after{
    opacity: 1;
}

.parent__taghvim th {
    background-color: #fff;
    color: #333;
    font-weight: bold;
}

.parent__taghvim td {
    background-color: #fff;
    text-align: center;
}

.parent__taghvim td:last-child .day{
    color: #fb373e;
    text-align: center;
}


.ghaymat-taghvim {
    font-size: 11px;
    color: #000075;
}

.close-taghvim {
    /* background: #fff; */
    background: unset;
    width: 30px;
    border: 0;
    height: 30px;
    position: absolute;
    bottom: 14px;
    cursor: pointer;
}

.close-taghvim svg {
    width: 100%;
    height: 100%;
    color: #333;
    stroke-width: 2px;
}

.text-muted-cu{
    visibility: hidden;
    border: 0;
}
.past-day {
    color: #33333391;
    position: relative;
    opacity: .2;
}
.show__windows-dayCount {
    display: none;
    color: rgba(114, 114, 114, 0.616);
}

.show__mobile-dayCount {
    display: flex;
}

.past-day::after {
    content: "";
    width: 50%;
    height: 1px;
    background-color: #3333335d;
    position: absolute;
    transform: rotate(35deg);
    top: 50%;
    left: 25%;
}
.day {
    font-size: 16px;
    color: rgb(51, 51, 51);
}

#current-month {
    font-size: 1.5rem;
}

body:has(.parent__taghvim-show){
	overflow: hidden;
}
/* 
.active_start{position: relative;}
.active_start::after{
    content: "تاریخ شروع";
    font-size: 10px;
    color: red;
    position: absolute;
    top: 50%;
    width: 100%;
    text-wrap: nowrap;
    transform: translate(50%, 50%);
}

.active_end{position: relative;}
.active_end::after{
    content: "تاریخ پایان";
    font-size: 10px;
    color: red;
    position: absolute;
    top: 50%;
    width: 100%;
    text-wrap: nowrap;
    transform: translate(50%, 50%);
} */



/* End Date Picker */
.modal_active{
	display: flex !important;
}
.modal__time-parent{
	width: 100%;
    height: 100%;
    position: fixed;
    background: rgba(0, 0, 0, .5);
   	top: 0;	
    left: 0;
    transition: all .3s;
    z-index: 100;
	justify-content: center;
	align-items: center;
	display: none;
	z-index: 122;
}
.model__time-room {
	z-index: 101;
    overflow: auto;
    width: 20%;
    height: fit-content;
    background: #fff;
    flex-direction: column;
    padding: 0px 10px;
	border-radius: 2px;
}
.model__time-room::-webkit-scrollbar{
	margin-left: 5px;
}
/*  */
.modal__time-des{
	display: flex;
	flex-direction: column;
	padding: 10px 15px 5px 15px;
    border-bottom: 1px solid #ccc;
	gap: 5px;
}
.modal__time-des .modal__time-des-first{
	font-size: 14px;
    color: #3e3eef;
    font-weight: bold;
    text-align: center; 
}
.modal__time-des .modal__time-des-seconde{
	font-size: 12px;
	font-weight: 500;
	text-align: center;
	color: #ff0000;
}
/* .model__time-room span {
    font-size: 14px;
    padding: 15px;
    color: #3e3eef;
    font-weight: bold;
    text-align: center;
    display: block;
    border-bottom: 1px solid #ccc;
} */


.model__time-room p {
    display: flex;
    gap: 5px;
    padding: 10px 5px;
    color: #333;
    border-bottom: 1px solid #cccccc33;
    font-size: 15px;
    align-items: center;
	transition: all .3s ease;
	cursor: pointer;
}
.model__time-room p:hover {
	background-color: #eee;
}

.model__time-room p:last-child {
    border: none;
}

.model__time-room p span {
    color: #727272;
    font-size: 12px;
}

/*  */
.taghvim tr th:last-child {
    color: #fb373e;
}
#calendar-body{
	/* position: relative; */
}
.calendar-wrapper{
	display: flex;
	/* position: absolute;
	top: 0;
	right: 0;
	transition: all .5s ease; */
}
.today .day{
    font-weight: bold; /* حالت بولد برای روز فعلی */
	color: #fff;
	z-index: 2;
	position: relative;
}	
.today {
	/* background-color: #000075; */
}
.month_name{
	font-size: 1.1rem !important;
	color: #0000ff !important;
}
.parent__taghvim .today:not(.text-muted-cu-td,.past-day-td)::before {
    width: 100% !important;
    height: 100% !important;
    background: #0000ff;
    z-index: 1;
    border-radius: 5px;
}
.calendar-table{
	transform: rotate3d(0, 1, 0, 0deg);
}
.pre-month-disable {
    opacity: .2;
}
/* .calendar-table tbody tr:last-child{
	display: none;
} */

/* responsive */


@media (max-width:1280px) {
	.taghvim {
        width: 80%;
    }
	.model__time-room {
		width: 30%;
	}
}

@media (max-width:900px) {
	.parent__taghvim {
        align-items: center !important;
    }

    .taghvim {
        width: 100%;
        max-width: 1280px;
        bottom: 0%;
        position: fixed;
		transform: unset;
		will-change: transform;
        touch-action: none;
    }
	.parent__taghvim table {
    	border-radius: 0;
	}
    .close-taghvim {
        bottom: 60px !important;
    }

    .show__mobile-dayCount {
        display: none;
    }

    .show__windows-dayCount {
        display: flex;
    }
	 .model__time-room {
        inset: unset;
        width: 20%;
        height: fit-content;
        left: 50%;
        top: 50%;
        border-radius: 10px;        
        box-shadow: 0px 0px 19px rgba(0, 0, 0, .3);
    }

    .model__time-room p {
        cursor: pointer;
        transition: all .2s;
        margin-top: 5px;
    }

    .model__time-room p:hover {
        color: red;
    }
	.model__time-room {
		width: 35%;
	}

}
.taghvim_new_close{
	display: none;
}
.d-flex{
	display: flex;
}
@media (max-width: 768px) {
	.taghvim__detail{
		text-align: right;
		justify-content: unset;
	}
	.calendar-wrapper .calendar-table:nth-child(2) {
		display: none; /* مخفی کردن جدول دوم */
	}
	.parent__taghvim table {
		border-spacing: 0 10px;
	}
	.month_name {
		padding: 0 !important;
	}
	.modal__time-parent {
    	align-items: flex-end;
	}
	.model__time-room {
		width: 100%;
		border-radius: 10px 10px 0 0;
	}
	.taghvim_new_close{
		display: flex;
		padding: 10px;
	}
	.taghvim_new_close::after{
		background-color: #e0e0e0;
		border-radius: 50rem;
		content: "";
		display: inline-block;
		height: 4px;
   		width: 60px;
	}
	.taghvim__control {
		padding-top: 0;
	}
	.taghvim{	
		border-radius: 30px 30px 0 0 !important;
		background: #fff;
		bottom: -100%;
	}
	#current-month{
		font-size: 1.1rem;
	}
	.parent__taghvim-show .taghvim{
		bottom: 0;
	}
}